Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 220755 - media-video/totem-2.22.2: emerge failed
Summary: media-video/totem-2.22.2: emerge failed
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: libtool-2.2
  Show dependency tree
 
Reported: 2008-05-07 13:45 UTC by José Romildo Malaquias
Modified: 2008-05-11 05:13 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
media-video:totem-2.22.2:20080507-133423.log (media-video:totem-2.22.2:20080507-133423.log,24.28 KB, text/plain)
2008-05-07 13:48 UTC, José Romildo Malaquias
Details
grep.out.txt (grep.out.txt,5.55 KB, text/plain)
2008-05-09 00:54 UTC, José Romildo Malaquias
Details

Note You need to log in before you can comment on or make changes to this bug.
Description José Romildo Malaquias 2008-05-07 13:45:23 UTC
Emerging media-video/totem-2.22.2 on both ~x86 and ~amd64 fails with the following error messages:

make[3]: Entering directory `/var/tmp/portage/media-video/totem-2.22.2/work/totem-2.22.2/bindings/python'
( cd . &&  \
		--register /gtk-types.defs \
		--override totem.override \
		--prefix pytotem totem.defs ) > totem.c 
/bin/sh: line 1: --register: command not found
make[3]: *** [totem.c] Error 127
make[3]: Leaving directory `/var/tmp/portage/media-video/totem-2.22.2/work/totem-2.22.2/bindings/python'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/media-video/totem-2.22.2/work/totem-2.22.2/bindings'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/media-video/totem-2.22.2/work/totem-2.22.2'
make: *** [all] Error 2

Reproducible: Always

Steps to Reproduce:




Portage 2.1.5_rc7 (default/linux/x86/2008.0/desktop, gcc-4.2.3, glibc-2.7-r2, 2.6.25-gentoo-r2 i686)
=================================================================
System uname: 2.6.25-gentoo-r2 i686 Genuine Intel(R) CPU T2300 @ 1.66GHz
Timestamp of tree: Wed, 07 May 2008 12:36:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.5.2-r2
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.3
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.62
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r1
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS=" -march=prescott -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/4.0/env /usr/kde/4.0/share/config /usr/kde/4.0/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS=" -march=prescott -O2 -pipe -fomit-frame-pointer"
DISTDIR="/alt/portage.distfiles"
FEATURES="buildpkg collision-protect distlocks metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch usersandbox"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_US.ISO-8859-1"
LDFLAGS="-Wl,--as-needed"
LINGUAS="en en_US pt_BR"
MAKEOPTS="-j3"
PKGDIR="/alt/portage.packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise /usr/portage/local/layman/enlightenment /alt/portage.local"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowex X Xaw3d a52 aac aalib acl acpi alsa avi berkdb bluetooth branding bzip2 cairo cddb cdr cli cracklib crypt cups d dbus divx4linux djvu dlloader dri dts dvd dvdr dvdread emacs emboss encode exif fam fbcon ffmpeg fftw firefox gd gdbm gif gmp gnome gpm gtk gtk2 hal iconv imagemagick imap imlib isdnlog javascript jpeg kde kdeenablefinal kerberos libcaca libnotify lirc mad matroska mbox midi mmx mmx2 mmxext mp3 mpeg mudflap ncurses nls nptl nptlonly nsplugin nvidia ogg opengl openmp pam pcre pdf plotutils png ppds pppd python qt3support quicktime readline reflection samba sdl session sound spell spl sse sse2 ssl startup-notification svg tcpd tetex threads tiff truetype unicode v4l v4l2 vim-syntax vorbis wifi win32codecs wma wmf x264 x86 xcomposite xface xft xml xml2 xorg xpm xv xvid xvmc zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US pt_BR" LIRC_DEVICES="pixelview_pro" USERLAND="GNU" VIDEO_CARDS=" i810 vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 José Romildo Malaquias 2008-05-07 13:48:55 UTC
Created attachment 152269 [details]
media-video:totem-2.22.2:20080507-133423.log

The complete log of the emerge command.
Comment 2 José Romildo Malaquias 2008-05-07 14:09:24 UTC
After replacing sys-devel/libtool-2.2.4 with sys-devel/libtool-1.5.26 totem-2.22.2 emerges without problems.
Comment 3 Greg Kroah-Hartman (RETIRED) gentoo-dev 2008-05-08 18:43:33 UTC
(In reply to comment #2)
> After replacing sys-devel/libtool-2.2.4 with sys-devel/libtool-1.5.26
> totem-2.22.2 emerges without problems.
> 

That's not an acceptable fix :)
Comment 4 Daniel Gryniewicz (RETIRED) gentoo-dev 2008-05-08 19:04:35 UTC
Heh.  No kidding.  However, it works fine for me, so it's not just totem 2.22.2 and libtool 2.2.4, something else must be involved.
Comment 5 Greg Kroah-Hartman (RETIRED) gentoo-dev 2008-05-08 19:42:39 UTC
The problem looks to be that PYGTK_CODEGEN is not set to anything, and so /bin/sh tries to execute --register, which doesn't work.
Comment 6 Rémi Cardona gentoo-dev 2008-05-08 20:32:54 UTC
(In reply to comment #5)
> The problem looks to be that PYGTK_CODEGEN is not set to anything, and so
> /bin/sh tries to execute --register, which doesn't work.

Yep, I had seen that too... looks awfully weird (I don't see how libtool is related to that)

@José, could you do a build-dir-wide grep for PYGTK_CODEGEN and print the output here?

Thanks
Comment 7 José Romildo Malaquias 2008-05-09 00:54:23 UTC
Created attachment 152559 [details]
grep.out.txt

The output of command 'grep -r PYGTK_CODEGEN .' on directory /var/tmp/portage/media-video/totem-2.22.2/work/totem-2.22.2.
Comment 8 Rémi Cardona gentoo-dev 2008-05-09 07:56:48 UTC
José,

Whick pygtk version do you have? Could you make sure that you have 2.12.1, and if you do have it, could you try rebuilding it?

What does this command say : file `pkg-config --variable=codegendir pygtk-2.0`/codegen.py (with the broken libtool)

Thanks
Comment 9 Rémi Cardona gentoo-dev 2008-05-09 08:25:33 UTC
Right, well this is going to be a "bit" more complicated as totem's configure.ac uses _completely_ broken logic for finding python... The first few lines of the python section are obvious enough.

What it does is this :
1) ask for arguments (--enable-python)
2) if user said nothing, select autodetection
3) if user wanted autodetection, disable python support (!)
4) do python autodetection

Yes ladies and gents! Step 4 is not where it should be :)

No wonder the rest is broken...
Comment 10 José Romildo Malaquias 2008-05-09 16:54:04 UTC
(In reply to comment #8)
> Whick pygtk version do you have?

pygtk-2.12.1

> Could you make sure that you have 2.12.1, and
> if you do have it, could you try rebuilding it?

Done. After reemerging pygtk, totem still does not build and stops in the same way as before.

> What does this command say : file `pkg-config --variable=codegendir
> pygtk-2.0`/codegen.py (with the broken libtool)

# file `pkg-config --variable=codegendir pygtk-2.0`/codegen.py
/usr/share/pygtk/2.0/codegen/codegen.py: ASCII Java program text

Although file thinks it is a Java program, it is Python. Probably file got confused with the import declarations.
Comment 11 Rémi Cardona gentoo-dev 2008-05-09 17:19:55 UTC
(In reply to comment #10)
> Done. After reemerging pygtk, totem still does not build and stops in the same
> way as before.

Damn it...

> Although file thinks it is a Java program, it is Python. Probably file got
> confused with the import declarations.

Yeah :) I had that too. Just wanted to make sure you had something and not an empty file.

Anyway, I've _just_ committed 2.22.2-r1 with a patch for configure, it fixes a bunch of stuff. Please let me know how it goes, it should be available in your local rsync server in about 30 min.

Thanks
Comment 12 José Romildo Malaquias 2008-05-09 19:42:56 UTC
(In reply to comment #11)
> 
> Anyway, I've _just_ committed 2.22.2-r1 with a patch for configure, it fixes a
> bunch of stuff. Please let me know how it goes, it should be available in your
> local rsync server in about 30 min.

media-video/totem-2.22.2-r1 emerges without problems, with libtool-2.2.4.

Thanks.
Comment 13 Greg Kroah-Hartman (RETIRED) gentoo-dev 2008-05-11 05:13:14 UTC
Fixed for me as well, closing out.